Skip to main content
GET
List scores

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

application_id
string<uuid>
required

Application UUID (required for auth scoping and partition pruning)

span_id
string[]

Filter by span ID(s). Comma-separated for multiple values.

trace_id
string[]

Filter by trace ID(s). Comma-separated for multiple values.

session_id
string[]

Filter by session ID(s). Comma-separated for multiple values.

name
string[]

Filter by score name(s). Comma-separated for multiple values.

source
enum<string>[]

Filter by score source(s). Comma-separated for multiple values. Accepts evaluator for reading (POST restricts to non-evaluator sources).

Available options:
evaluator,
human,
llm,
code
score_level
enum<string>[]

Filter by score level(s). Comma-separated for multiple values.

Available options:
span,
trace,
session
score_type
enum<string>[]

Filter by score type(s). Comma-separated for multiple values.

Available options:
numeric,
boolean,
categorical,
text,
vector
annotator_id
string[]

Filter by annotator ID(s). Comma-separated for multiple values.

config_name
string[]

Filter by config name(s). Comma-separated for multiple values.

score_ids
string<uuid>[]

Filter by score UUID(s). Comma-separated for multiple values.

start_time
string<date-time>

Scores with target timestamp >= start_time (ISO 8601). Filters on the underlying event's timestamp (span/trace/session ingest time), not the score's created_at.

end_time
string<date-time>

Scores with target timestamp < end_time (ISO 8601). Filters on the underlying event's timestamp (span/trace/session ingest time), not the score's created_at.

limit
integer
default:100

Number of results per page (default 100, max 500)

Required range: x <= 500
offset
integer

Offset for the pagination

ordering
string

Allows you to order results by any field. For desc order prefix field name with - and provide comman separated values for multiple fields

Response

Paginated list of scores

Response object for paginated API responses.

api_version
enum<string>
default:3.0

API version of the response.

Available options:
2.0,
3.0
kind
enum<string>
default:PAGINATED

Type of response, indicating a paginated response.

Available options:
PAGINATED
data
object